#/****************************************************************************
#**  SIONLIB     http://www.fz-juelich.de/jsc/sionlib                       **
#*****************************************************************************
#**  Copyright (c) 2008-2009                                                **
#**  Forschungszentrum Juelich, Juelich Supercomputing Centre               **
#**                                                                         **
#**  See the file COPYRIGHT in the package base directory for details       **
#****************************************************************************/
INSTDIR=../install/sionlib_xt

LIBNAME = sionfe
LIBSERNAME = sionserfe
SIONARCH = _SION_XT

### Will run only on the login nodes!!

F90                     = pgf90
FFLAGS                  = 
F90NOOPT                = -O0
F90LOADER               = $(F90) 
F90_MPI                 = ftn
F90MPI_LOADER   	= $(F90_MPI)

CC                      = pgcc
CFLAGS                  = -D$(SIONARCH) 
CCLOADER                = $(CC)
CC_MPI                  = cc 
CCMPI_LOADER            = $(CC_MPI) 
CPP                     = /usr/bin/cpp -P -C
CPPFLAGS                = -D$(SIONARCH)

# Libraries
# --------
MPI_FLAGS		= -DSION_MPI
MPI_LIBS        = 
# lin alg

# LowLevel
# --------
LOWLEVEL_LIBS   = -L$(BENCH)/lib -lLow_Level

